Subject: RE: DS1 and DS3 MIB bugs (Fwd)

From: Randy Presuhn <[email-masked]>
Date: Thu, 14 Jun 2001 13:28:12 -0700 (PDT)

Hi -

> From: "Brian Teer" <[email-masked]>
> To: "Subrahmanya Hegde" <[email-masked]>,
>         "David Fowler" <[email-masked]>
> Cc: "Erik Nordmark" <[email-masked]>,
>         <[email-masked]>
> Subject: RE: DS1 and DS3 MIB bugs (Fwd)
> Date: Thu, 14 Jun 2001 15:24:45 -0400
> Message-ID: <[email-masked]>
> In-Reply-To: <[email-masked]>
> 
> With respect to the proposed dsx3InternalEqualizer object, isn't use of the
> DEFVAL clause restricted to objects with MAX-ACCESS of read-create?
...

No.  See RFC 2578 clause 7.9, third paragraph.

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------

---

From: Ron Carmona <[email-masked]>
Date: Thu, 14 Jun 2001 15:03:51 -0700

Conclusions:

1. I shall cross out the first paragraph on page 112 of the Perkins book.
2. ...love the articulation in RFC2578...thanks Randy.
3. I shall continue to use my existing techniques for default designations
in MIB object definitions in accordance with the last paragraph on page 111
of the Perkins book (except for the statement about no DEFVAL clauses in
scalar objects...as clarified by RFC2578).
4. Thanks to all for the clarifications.

Cheers,

Ron Carmona
(805) 553-9680 x350
[email-masked]
1.3.6.1.4.1.5059

 -----Original Message-----
From: 	Brian Teer [mailto:[email-masked]] 
Sent:	Thursday, June 14, 2001 2:47 PM
To:	Ron Carmona; 'Subrahmanya Hegde'
Cc:	David Fowler; Erik Nordmark; [email-masked]
Subject:	RE: DS1 and DS3 MIB bugs (Fwd)

Hi Ron,

The Perkins book is actually where I was misled.  In the first full
paragraph on page 112, it says DEFVAL may only be used for columnar objects
with access of read-create in SMIv2.

However, as Randy Presuhn pointed out in his response to my message, the
third paragraph of RFC 2578 clause 7.9 says it is acceptable for objects
with access of read-write that are created dynamically by an agent, so I was
mistaken.  (Perkins was, after all, published in 1996, so it stands to
reason that some of its content is out of date.)

Also, I agree that if a DEFVAL clause is not appropriate but a default value
is known, it should be specified in the description.

Brian

> -----Original Message-----
> From: Ron Carmona [mailto:[email-masked]]
> Sent: Thursday, June 14, 2001 5:31 PM
> To: 'Subrahmanya Hegde'; Brian Teer
> Cc: David Fowler; Erik Nordmark; [email-masked]
> Hi Brian & Subra,
> Sorry, but I'm a bit confused.  I hope that each MIB object definition
> explains as much as possible of the architectural properties of the MIB
> object.  In the book "Understanding SNMP MIBs" (D. Perkins & E.
> McGinnis...which is my favorite source of MIB development guidelines), I
> have extracted that a MIB object defn should contain a DEFVAL if at all
> possible; and if not, the DESCRIPTION clause should discuss the default
> value possibilities (i.e., in the case that perhaps a default value of an
> object is dependent on the value of some other object's value
> that does not
> have a default value).
>
> I have no problem that many objects architecturally do not have a default
> value, but if the default value exists for an object, I would prefer a
> DEFVAL clause...regardless of its access rights.
>
> Please clarify and give me the source of this rule...I'm open to have my
> opinion changed and modify my MIB development techniques if need be.
>
> Thanx,
>
> Ron Carmona
> (805) 553-9680 x350
> [email-masked]
> 1.3.6.1.4.1.5059
>
>  -----Original Message-----
> From: 	Subrahmanya Hegde [mailto:[email-masked]]
> Sent:	Thursday, June 14, 2001 1:26 PM
> To:	Brian Teer
> Cc:	David Fowler; Erik Nordmark; [email-masked]
> Subject:	Re: DS1 and DS3 MIB bugs (Fwd)
>
>
> Brian
>   Thanks for clarifying it. You are right.
>
> Subra
>
> Brian Teer wrote:
>
> > Brian
> > > -----Original Message-----
> > > From: Subrahmanya Hegde [mailto:[email-masked]]
> > > Sent: Thursday, June 14, 2001 1:56 PM
> > > To: David Fowler
> > > Cc: Erik Nordmark; [email-masked]; subrah
> > > Subject: Re: DS1 and DS3 MIB bugs (Fwd)
> > >
> > >
> > > David
> > > I have following requests.
> > >
> > > 1. If possible, we would like to have following enums in
> > > dsx3LineType object
> > >
> > >     ds3cbitadm
> > >     ds3cbitplcp
> > >     e3g832adm
> > >     e3g751adm
> > >     e3g751plcp
> > >     ds3m23adm
> > >     ds3m23plcp
> > >
> > > 2. If possible, would like to have following object
> > >
> > >     dsx3InternalEqualizer OBJECT-TYPE
> > >      SYNTAX  INTEGER {
> > >                  use(1),
> > >                  byPass(2)
> > >              }
> > >      MAX-ACCESS  read-write
> > >      STATUS  current
> > >      DESCRIPTION
> > >         "This variable indicates whether the internal
> equalizer is being
> > >          used or bypassed. Set this value depending on the line
> equipment
> > >          to which the receiver is attached.
> > >          Possible values are :
> > >
> > >           use(1)      : Use the internal equalizer
> > >           byPass(2)   : bypass internal equalizer(use external
> equalizer).
> > >                         This option allows easy interfacing of the
> > >                         device into systems already utilizing the
> external
> > >                         equalizers."
> > >      DEFVAL { use }
> > >
> > > Thanks
> > > Subra
> > >
> > > David Fowler wrote:
> > >
> > > > Since I've agreed to edit again, I can collect things.  I'm
> > > only aware of a
> > > > couple things at the moment, but I will take this one and
> > > others people send.
> > > > I'll post a summary prior to submitting new drafts.
> > > >
> > > > Regards,
> > > > David
> > > >
> > > > Erik Nordmark wrote:
> > > >
> > > > > Is there somebody collecting a list of work for these MIBs?
> > > > >
> > > > >   Erik
> > > > >
> > > > > >----------------Begin Forwarded Message----------------<
> > > > >
> > > > > Date: Tue, 8 May 2001 09:33:30 -0400
> > > > > From: "Chapman, Ken" <[email-masked]>
> > > > > Subject: DS1 and DS3 MIB bugs
> > > > > To: "'Thomas Narten'" <[email-masked]>, "'Erik Nordmark'"
> > > > > <[email-masked]> Cc: [email-masked]
> > > > >
> > > > > Who do I report this bug to?
> > > > > In both the DS1 and the DS3 MIBs, the
> > > dsx1FracIfIndex/dsx3FracIfIndex have a
> > > > > SYNTAX of INTEGER (1..'7fffffff'h);
> > > > > however, the DESCRIPTIONs state "If no interface is
> currently using
> a
> > > > > channel, the value should be zero."
> > > > > So, the SYNTAX should be INTEGER (0..'7fffffff'h).
> > > > >
> > > > > This should be fixed before the MIBs are elevated to
> Draft Standard.
> > > > >         Ken
> > > > >
> > > > > ++++++++++++++++++++++++++++++++++++++++++++++
> > > > > Ken Chapman           Unisphere Networks, Inc.
> > > > > Tel: +1-978-589-0288  10 Technology Park Drive
> > > > > Fax: +1-978-589-0800  Westford, MA 01886
> > > > > Email: [email-masked]
> > > > > ++++++++++++++++++++++++++++++++++++++++++++++
> > > > >
> > > > > >----------------End Forwarded Message----------------<
> > >
> > >
>